<?php

namespace Drupal\cloud\Service\Util;

use Drupal\Core\Url;

/**
 * Html generator utility using name for Entity link.
 */
class EntityLinkWithNameHtmlGenerator extends EntityLinkHtmlGenerator {

  /**
   * Generate html.
   *
   * @param \Drupal\Core\Url $url
   *   The url of link.
   * @param string $id
   *   The ID.
   * @param string $name
   *   The name.
   * @param string $alt_text
   *   The text of link.
   *
   * @return string
   *   The html of link.
   */
  public function generate(Url $url, $id, $name = '', $alt_text = '') : string {
    if (!empty($name) && $name !== $id) {
      $html = $this->linkGenerator->generate($name, $url) . " ($id)";
    }
    else {
      $html = $this->linkGenerator->generate($id, $url);
    }
    return $html;
  }

}
