<?php

namespace Drupal\cloud\Service\Util;

use Drupal\Core\Url;

/**
 * Html generator utility using short name for Entity link.
 */
class EntityLinkWithShortNameHtmlGenerator extends EntityLinkHtmlGenerator {

  /**
   * Generate html.
   *
   * @param \Drupal\Core\Url $url
   *   The url of link.
   * @param string $id
   *   The ID.
   * @param string $name
   *   The name.
   * @param string $alt_text
   *   The text of link.
   *
   * @return string
   *   The html of link.
   */
  public function generate(Url $url, $id, $name = '', $alt_text = '') : string {
    $text = $id;
    if (!empty($name) && $name !== $id) {
      $text = $name;
    }

    return $this->linkGenerator->generate($text, $url);
  }

}
